summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/jama
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/jama')
-rw-r--r--sci-libs/jama/Manifest2
-rw-r--r--sci-libs/jama/jama-1.2.5.ebuild30
-rw-r--r--sci-libs/jama/metadata.xml15
3 files changed, 47 insertions, 0 deletions
diff --git a/sci-libs/jama/Manifest b/sci-libs/jama/Manifest
new file mode 100644
index 00000000000..d3a68cbb30d
--- /dev/null
+++ b/sci-libs/jama/Manifest
@@ -0,0 +1,2 @@
+DIST jama102doc.zip 61085 SHA256 0175a981cba82b316f17e1066e605a1bc6aa2840edf70b5e1a06305f16e5f7e3
+DIST jama125.zip 16277 SHA256 7432bf51d7101f63d5880421f940f64cea124f1460ff2fcfb6226e6744d1360c SHA512 773cbf98de2384df5429db3ecc117304934a1de1c24ee1f342ededae8bdc9747e3bb5ec0d3cd7fde62b2ee13ee2e0c6e86f6b30c7082036bd5b224b76592b4f9 WHIRLPOOL 20acceecdeb81fd388baebe0c279b3adfb57b9daeda7e5713a3b85e4d8c0124ed8043e79a2b9dc66b65c03cbe656b3d2bd8fc253bb1342ff2e53647d9fa80895
diff --git a/sci-libs/jama/jama-1.2.5.ebuild b/sci-libs/jama/jama-1.2.5.ebuild
new file mode 100644
index 00000000000..a1b499fdaca
--- /dev/null
+++ b/sci-libs/jama/jama-1.2.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit versionator
+
+MYP="${PN}$(replace_all_version_separators '')"
+DOCPV=102
+
+DESCRIPTION="Java-like matrix C++ templates"
+HOMEPAGE="http://math.nist.gov/tnt/"
+SRC_URI="http://math.nist.gov/tnt/${MYP}.zip
+ doc? ( http://math.nist.gov/tnt/${PN}${DOCPV}doc.zip )"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc"
+
+DEPEND="app-arch/unzip"
+RDEPEND="sci-libs/tnt"
+
+S="${WORKDIR}"
+
+src_install() {
+ insinto /usr/include
+ doins *.h || die
+ use doc && dohtml doxygen/html/*
+}
diff --git a/sci-libs/jama/metadata.xml b/sci-libs/jama/metadata.xml
new file mode 100644
index 00000000000..103f08e646a
--- /dev/null
+++ b/sci-libs/jama/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ JAMA/C++: a translation of the Java Matrix Library, developed by the
+ Mathworks and NIST, into C++ . It includes the following routines:
+ * classical matrix linear algebra
+ * QR
+ * SVD
+ * Cholesky
+ * Eigenvalue solver
+ It is based on NIST's Template Numerical Toolkit.
+</longdescription>
+</pkgmetadata>